Download it now!
Bug 76249 - FILESAVE: DOCX with Locked Canvas inside a text box corrupts after round trip
Summary: FILESAVE: DOCX with Locked Canvas inside a text box corrupts after round trip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-17 06:32 UTC by Vinaya Mandke
Modified: 2014-03-19 10:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Issue File (265.60 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-17 06:33 UTC, Vinaya Mandke
Details
Optimized file (118.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-17 06:34 UTC, Vinaya Mandke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2014-03-17 06:32:55 UTC
1. Open attached document in LO
2. Save to DOCX
3. Open save file in MS Word 2010
4. The corrupt dialog box is shown

The Locked Canvas is imported correctly, but while exporting the drawing is exported inside a textbox.
Instead a locked Canvas has to be exported inside a text-box for the RT file to work in MS Word. As drawing elements are not allowed in the textboxes.
Comment 1 Vinaya Mandke 2014-03-17 06:33:33 UTC
Created attachment 95907 [details]
Issue File
Comment 2 Vinaya Mandke 2014-03-17 06:34:03 UTC
Created attachment 95908 [details]
Optimized file
Comment 3 Jorendc 2014-03-17 08:59:22 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Opened using Word for Mac 2011.

Kind regards,
Joren
Comment 4 Commit Notification 2014-03-18 13:31:27 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17d31e6fb316da2bf1267c337eed88165dfa1a54

fdo#76249 DOCX export DML Drawing as lockedCanvas if it's inside DMLTextFrame



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jorendc 2014-03-19 10:27:46 UTC
Hi Vinaya,

Thanks for fixing the corruption! I can confirm that attachment 95907 [details] is not corrupt after roundtripping.

The image in the optimized file isn't preserved after roundtripping? Is this due the fact this is a PolyPolygon, and we just ignore the writing of it (see comment 3 of bug 75254)?

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 90dd4320de6ace24e464979630a2c9fbab35f64b
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-19_00:22:53

Kind regards,
Joren